c    @(#)wread.f	1.1


      subroutine wread(vector, n, n0,r1,r2,r3,r4,r5,ird,jcnt,ier)
      dimension vector(n0)
      read(ird,end = 1, err = 2)n,r1,r2,r3,r4,r5
c-- ugly fix      read(ird,end = 1, err = 1)n,r1,r2,r3,r4,r5
      if ( n .ne. n0) goto 3
      read(ird,end = 1, err = 4)(vector(i),i=1,n)
c-- ugly io fix      read(ird,end = 1, err = 1)(vector(i),i=1,n)
      ier = 0
      jcnt = jcnt + 1
      goto 5
 1    continue
      ier = 1
      goto 5
 2    continue
      ier = -2
      goto 5
 3    continue
      ier = -3
 4    continue
      ier = -4
 5    continue
      end
